--
-- Projet: offreformation
--
-- Licensed under the Apache License, Version 2.0 (the "License");
-- you may not use this file except in compliance with the License.
-- You may obtain a copy of the License at
--
--         http://www.apache.org/licenses/LICENSE-2.0
--
-- Unless required by applicable law or agreed to in writing, software
-- distributed under the License is distributed on an "AS IS" BASIS,
-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-- See the License for the specific language governing permissions and
-- limitations under the License.
--

-- ROLE (Gestionnaire de formation)
INSERT INTO `ROLE` (CODE, LIBELLE, PERIMETRE, PERMISSIONS) VALUES ('G_FORMATION', 'Gestionnaire de formation', '////', '[FICHE/0002/C][FICHE/0002/D][FICHE/0002/M][FICHE/0002/V][FICHE/0002/S][FICHE/0003/C][FICHE/0003/D][FICHE/0003/M][FICHE/0003/V][FICHE/0003/S][FICHE/0004/C][FICHE/0004/D][FICHE/0004/M][FICHE/0004/V][FICHE/0004/S]');

-- LIBELLE
-- 20 : (Formation) Type de diplôme
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '#10000#', 'Niveau Licence', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '11000', 'DEUST', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '12000', 'Diplôme Universitaire de Technologie', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '13000', 'Licence', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '14000', 'Licence Professionnelle', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '#20000#', 'Niveau Master', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '21000', 'Ingénieur', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '23000', 'Master professionnel', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '24000', 'Master recherche', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '#30000#', 'Niveau Doctorat', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '31000', 'Attestation de Formation Spécialisée Approfondie', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '32000', 'Capacité médecine', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '33000', 'DES médecine', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '34000', 'DES pharmacie', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '35000', 'Dip Etudes Spéc Compl médecine', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '36000', 'Dip Etudes Spéc Complémentaire pharmacie', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '37000', 'Diplôme d''Etat de docteur en Médecine', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '38000', 'Diplôme d''Etat de docteur en Pharmacie', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '39000', 'Diplôme de recherche technologique (DRT)', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '39100', 'Doctorat d''université', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '39200', 'Doctorat d''état', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '39300', 'Habilitation à Diriger des Recherches', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '#40000#', 'Concours', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '42000', 'Concours administratifs', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '41000', 'Concours de l''enseignement', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '43000', 'Concours de la magistrature', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '#50000#', 'Autres formations', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '51000', 'Capacité', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '52000', 'Certificat', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '53000', 'DAEU', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '54000', 'Diplôme d''université', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '55000', 'Formation continue non diplômante', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('20', '56000', 'Mastères spécialisés', '0');
-- 21 : (Formation) Type de diplôme (champ commenté par défaut)
--INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('21', '1', '1er cycle', '0');
--INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('21', '2', '2ème cycle', '0');
--INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('21', '3', '3ème cycle', '0');
-- 50 : (Formation) Domaines de formation LMD
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('50', 'D1', 'Arts, lettres, langues', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('50', 'D2', 'Droit, économie, gestion', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('50', 'D3', 'Sciences humaines et sociales', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('50', 'D4', 'Sciences, technologie, sant‚', '0');
-- 54 : (Elément pédagogique) Nature
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('54', 'SEM', 'Semestre', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('54', 'UE', 'UE', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('54', 'COUR', 'Cours', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('54', 'CHOI', 'Choix', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('54', 'STAG', 'Stage', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('54', 'MEM', 'Mémoire', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('54', 'PRJ', 'Projet', '0');
-- 55 : (K-Sup) Disciplines de formation
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('55', 'D01', 'Arts', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('55', 'D02', 'Information-Communication', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('55', 'D03', 'Commerce', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('55', 'D04', 'Economie-Gestion', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('55', 'D05', 'Droit', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('55', 'D06', 'Administration', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('55', 'D07', 'Sciences politiques', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('55', 'D08', 'Lettres', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('55', 'D09', 'Langues', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('55', 'D10', 'Sciences humaines et sociales', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('55', 'D11', 'Sciences et technologies', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('55', 'D12', 'Médecine et Santé', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('55', 'D13', 'Sport et activités sportives', '0');
-- 56 : (Elément pédagogique) Type d'élément
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('56', 'O', 'Obligatoire', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('56', 'X', 'Obligatoire à choix', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('56', 'F', 'Facultatif', '0');
-- 57 : (Elément pédagogique) Semestre
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('57', 'S1', 'Semestre 1', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('57', 'S2', 'Semestre 2', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('57', 'S3', 'Semestre 3', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('57', 'S4', 'Semestre 4', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('57', 'S5', 'Semestre 5', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES('57', 'S6', 'Semestre 6', '0');
-- 58 : (Elément pédagogique) Langues d'enseignement
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('58', 'FR', 'Français', '0');
INSERT INTO `LIBELLE` (TYPE, CODE, LIBELLE, LANGUE) VALUES ('58', 'EN', 'Anglais', '0');
