<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: offreformation
    Version: 1.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@page import="org.apache.commons.lang3.StringUtils"%>
<%@page import="com.kosmos.service.impl.ServiceManager"%>
<%@page import="com.kportal.cms.objetspartages.Objetpartage"%>
<%@page import="com.kportal.ihm.utils.EncadresFrontUtils"%>
<%@page import="com.kportal.ihm.utils.FrontUtil"%>
<%@page import="com.ksup.objetspartages.om.Cours"%>
<%@page import="com.univ.objetspartages.om.ReferentielObjets"%>
<%@page import="com.univ.objetspartages.om.StructureModele"%>
<%@ page import="com.univ.objetspartages.services.ServiceStructure" %>
<%@ page import="com.univ.utils.ContexteUniv" %>
<%@ page import="com.univ.utils.ContexteUtil" %>
<%@ page import="com.univ.url.utils.UrlUtils" %>
<%@taglib prefix="components" uri="http://kportal.kosmos.fr/tags/components" %>
<%
ContexteUniv ctx = ContexteUtil.getContexteUniv();
Cours cours = (Cours) ctx.getFicheCourante();
Objetpartage module = ReferentielObjets.getObjetByNom(ReferentielObjets.getNomObjet(cours));
/********************************************
*        Encadrés automatiques                 *
*********************************************/
    final ServiceStructure serviceStructure = ServiceManager.getServiceForBean(StructureModele.class);
StructureModele structure = serviceStructure.getByCodeLanguage(cours.getCodeRattachement(), ctx.getLangue());
if (structure != null || StringUtils.isNotBlank(cours.getCodeRattachementAutres())) {
    %><div class="<%= EncadresFrontUtils.AUTO_FICHE%>">
        <h2><%= module.getMessage("ST_RENSEIGNEMENTS_PRATIQUES") %></h2>
        <div class="encadre_contenu"><%
            if (structure != null) {
                %><div class="filet">
                    <a href="<%= UrlUtils.getUrlFiche(structure.getPersistanceBean()) %>" ><%= structure.getLibelleLong() %></a><br /><%
                    if (StringUtils.isNotBlank(structure.getAdresse())) {
                        %><%= structure.getAdresse() %><br /><%
                    }
                    if (StringUtils.isNotBlank(structure.getCodePostal()) || StringUtils.isNotBlank(structure.getVille())) {
                        %><%= structure.getCodePostal() %> <%= structure.getVille().trim() %><br /><%
                    }
                    if (StringUtils.isNotBlank(structure.getTelephone())) {
                        %><%= module.getMessage("ST_STRUCTURE_TELEPHONE") %> : <%= structure.getTelephone() %><br /><%
                    }
                    if (StringUtils.isNotBlank(structure.getTelecopie())) {
                        %><%= module.getMessage("ST_STRUCTURE_TELECOPIE") %> : <%= structure.getTelecopie() %><br /><%
                    }
                    if (StringUtils.isNotBlank(structure.getAdresseMail()) && StringUtils.contains(structure.getAdresseMail(), "@")) {
                        %><components:email-link href="<%= structure.getAdresseMail() %>" label='<%=module.getMessage("ST_STRUCTURE_MEL")%>'/><br /><%
                    }
                    if (StringUtils.isNotBlank(structure.getSiteWeb()) && !"http://".equals(structure.getSiteWeb())) {
                        %><a href="<%= structure.getSiteWeb() %>" title="<%=module.getMessage("ST_STRUCTURE_SUR_INTERNET")%>"><%= module.getMessage("ST_STRUCTURE_SUR_INTERNET")%></a><br /><%
                    }
                %></div><%
            }
            if (StringUtils.isNotBlank(cours.getCodeRattachementAutres())){
                String[] codeRattachements = StringUtils.split(cours.getCodeRattachementAutres(), ";");
                for (String codeRattachement : codeRattachements) {
                    StructureModele structureAutre = serviceStructure.getByCodeLanguage(codeRattachement, ctx.getLangue());
                    if (structureAutre != null) {
                        %><div class="filet">
                            <a href="<%= UrlUtils.getUrlFiche(structureAutre.getPersistanceBean()) %>"><%= structureAutre.getLibelleLong() %></a><br /><%
                            if (StringUtils.isNotBlank(structureAutre.getAdresse())) {
                                %><%= structureAutre.getAdresse() %><br /><%
                            }
                            if (StringUtils.isNotBlank(structureAutre.getCodePostal()) || StringUtils.isNotBlank(structureAutre.getVille())) {
                                %><%= structureAutre.getCodePostal() %> <%= structureAutre.getVille().trim() %><br /><%
                            }
                            if (StringUtils.isNotBlank(structureAutre.getTelephone())) {
                                %><%= module.getMessage("ST_STRUCTURE_TELEPHONE") %> : <%= structureAutre.getTelephone() %><br /><%
                            }
                            if (StringUtils.isNotBlank(structureAutre.getTelecopie())) {
                                %><%= module.getMessage("ST_STRUCTURE_TELECOPIE") %> : <%= structureAutre.getTelecopie() %><br /><%
                            }
                            if (StringUtils.isNotBlank(structureAutre.getAdresseMail()) && StringUtils.contains(structureAutre.getAdresseMail(), "@")) {
                                %><components:email-link href="<%= structureAutre.getAdresseMail() %>" label='<%=module.getMessage("ST_STRUCTURE_MEL")%>'/><br /><%
                            }
                            if (StringUtils.isNotBlank(structureAutre.getSiteWeb()) && !"http://".equals(structureAutre.getSiteWeb())) {
                                %><a href="<%= structureAutre.getSiteWeb() %>" title="<%=module.getMessage("ST_STRUCTURE_SUR_INTERNET")%>"><%= module.getMessage("ST_STRUCTURE_SUR_INTERNET")%></a><br /><%
                            }
                        %></div><%
                    }
                }
            }
        %></div><!-- .encadre_contenu -->
    </div><!-- .<%= EncadresFrontUtils.AUTO_FICHE%> --><%
}

String fichiersJoints = FrontUtil.calculerListeFichiersJoints(ctx,cours);
if (StringUtils.isNotBlank(fichiersJoints)) {
       %><div class="<%= EncadresFrontUtils.AUTO_FICHE%>">
        <h2><%= module.getMessage("ST_DOCUMENTS_A_TELECHARGER") %></h2>
        <div class="encadre_contenu">
            <%= fichiersJoints %>
        </div><!-- .encadre_contenu -->
    </div><!-- .<%= EncadresFrontUtils.AUTO_FICHE%> --><%
}
%>