<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: offreformation
    Version: 1.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.TreeSet"%>
<%@page import="org.apache.commons.lang3.StringUtils"%>
<%@page import="com.kportal.cms.objetspartages.Objetpartage"%>
<%@page import="com.kportal.ihm.utils.FrontUtil"%>
<%@page import="com.ksup.objetspartages.om.ChargementFormationUeupCours"%>
<%@ page import="com.ksup.objetspartages.om.Cours"%>
<%@page import="com.ksup.objetspartages.om.InfosCours"%>
<%@page import="com.ksup.objetspartages.om.InfosFormation"%>
<%@page import="com.ksup.objetspartages.om.InfosUeup"%>
<%@page import="com.univ.objetspartages.om.FicheAnnuaire"%>
<%@page import="com.univ.objetspartages.om.ReferentielObjets" errorPage ="/jsp/jsb_exception.jsp"%>
<%@ page import="com.univ.utils.ContexteUniv" %>
<%@ page import="com.univ.utils.ContexteUtil" %>
<%@ page import="com.univ.url.utils.UrlUtils" %>
<%
    /********************************************
    *        Initialisation de la fiche         *
    *********************************************/
    ContexteUniv ctx = ContexteUtil.getContexteUniv();
    Cours cours = (Cours)ctx.getFicheCourante();
    Objetpartage module = ReferentielObjets.getObjetByNom(ReferentielObjets.getNomObjet(cours));
    InfosCours infosCours = ChargementFormationUeupCours.renvoyerItemCours(cours.getCode(), cours.getLangue());
    /* Lecture des champs */
    String creditsEcts = cours.getCreditEcts();
    ArrayList<String> listeResponsables =FicheAnnuaire.getLibellesLiensAnnuaires(ctx, cours.getCodeResponsable(), cours.getLangue());
    String complementsResponsables = cours.getFormatedComplementsResponsable();
    String responsables = "";
    String contacts = cours.getFormatedCoordonnees();
    String objectifs = cours.getFormatedObjectifs();
    String volumeHoraireCm = cours.getVolumeHoraireCm();
    String volumeHoraireTd = cours.getVolumeHoraireTd();
    String volumeHoraireTp = cours.getVolumeHoraireTp();
    String volumeHoraireProjet = cours.getVolumeHoraireProjet();
    String volumeHoraireStage = cours.getVolumeHoraireStage();
    String volumeHoraireDs = cours.getVolumeHoraireDs();
    String volumeHoraireTotal = "";
    String coefTp = cours.getCoefTp();
    String coefDs = cours.getCoefDs();
    String coefTotal = "";
    TreeSet<InfosFormation> treeFormations = infosCours.getListeFormations();
    String formations = "";
    TreeSet<InfosUeup> treeUeups = infosCours.getListeUeups();
    String ueups = "";
    String calendrier = cours.getFormatedCalendrier();
    String contenuCours = cours.getFormatedContenu();
    String bibliographie = cours.getFormatedBibliographie();
    String controleConnaissances = cours.getFormatedControleConnaissances();
    String complements = cours.getFormatedComplements();
    if (!listeResponsables.isEmpty()) {
        for (final String listeResponsable : listeResponsables) {
            responsables += "<li>" + listeResponsable + "</li>";
        }
        if (StringUtils.isNotBlank(responsables)) {
            responsables = "<ul>" + responsables + "</ul>";
        }
    }
    if (StringUtils.isNotBlank(complementsResponsables)) {
           responsables += complementsResponsables;
    }
    /* calcul de la liste des formations auxquelles appartient le cours */
    if (!treeFormations.isEmpty()) {
        for (final InfosFormation infosFormation : treeFormations) {
            formations += "<li><a href=\"" + UrlUtils.getUrlFiche(infosFormation.getBean()) + "\">" + infosFormation.getLibelleLong() + "</a></li>";
        }
        if (StringUtils.isNotBlank(formations)) {
            formations = "<ul>" + formations + "</ul>";
        }
    }
    /* calcul de la liste des UEUP auxquelles appartient le cours */
    if (!treeUeups.isEmpty()) {
        for (final InfosUeup infosUeup : treeUeups) {
            ueups += "<li><a href=\"" + UrlUtils.getUrlFiche(infosUeup.getBean()) + "\">" + infosUeup.getLibelleLong() + "</a></li>";
        }
        if (StringUtils.isNotBlank(ueups)) {
               ueups = "<ul>" + ueups + "</ul>";
        }
    }
    /* calcul du volume horaire total */
    float totalVolumeHoraire = 0;
    try {
        totalVolumeHoraire += Float.parseFloat(volumeHoraireCm);
    } catch (Exception e) {}
    try {
        totalVolumeHoraire += Float.parseFloat(volumeHoraireTd);
     } catch (Exception e) {}
    try {
        totalVolumeHoraire += Float.parseFloat(volumeHoraireTp);
    } catch (Exception e) {}
    try {
        totalVolumeHoraire += Float.parseFloat(volumeHoraireStage);
    } catch (Exception e) {}
    try {
        totalVolumeHoraire += Float.parseFloat(volumeHoraireProjet);
    } catch (Exception e) {}
    if (totalVolumeHoraire > 0) {
           volumeHoraireTotal = Float.toString(totalVolumeHoraire);
        if (volumeHoraireTotal.contains(".0")) {
            volumeHoraireTotal = volumeHoraireTotal.substring(0, volumeHoraireTotal.indexOf(".0"));
        }
    }
    /* calcul du total des coefficients TD + TP */
    float totalCoef = 0;
    try {
        totalCoef += Float.parseFloat(coefTp);
    } catch (Exception e) {}
    try {
        totalCoef += Float.parseFloat(coefDs);
    } catch (Exception e) {}
    if (totalCoef > 0) {
           coefTotal = Float.toString(totalCoef);
           if (coefTotal.contains(".0")) {
               coefTotal = coefTotal.substring(0, coefTotal.indexOf(".0"));
           }
    }
    /* affichage des credits ECTS, des volumes horaires, et des coefficients */
    if (FrontUtil.isAnyNotBlank(creditsEcts,volumeHoraireCm,volumeHoraireTd,volumeHoraireTp,volumeHoraireProjet,volumeHoraireStage, volumeHoraireDs, volumeHoraireTotal, coefTp, coefDs, coefTotal)) {
        if (FrontUtil.isAnyNotBlank(creditsEcts,volumeHoraireCm,volumeHoraireTd,volumeHoraireTp,volumeHoraireProjet,volumeHoraireStage, volumeHoraireDs, volumeHoraireTotal)) {
            %><table id="volumes_horaires" summary="<%=module.getMessage("ST_COURS_VOLUMES_HORAIRES")%>"><%
                if (StringUtils.isNotBlank(creditsEcts)) {
                    %><tr>
                        <th><%=module.getMessage("ST_COURS_CREDITS_ECTS")%></th>
                        <td><%=creditsEcts%></td>
                    </tr><%
                }
                if (StringUtils.isNotBlank(volumeHoraireTotal)) {
                    %><tr>
                        <th><%=module.getMessage("ST_COURS_VOLUME_HORAIRE_TOTAL")%></th>
                        <td><%=volumeHoraireTotal%></td>
                    </tr><%
                }
                if (StringUtils.isNotBlank(volumeHoraireCm)) {
                    %><tr>
                        <th><%=module.getMessage("ST_COURS_VOLUME_HORAIRE_CM")%></th>
                        <td><%=volumeHoraireCm%></td>
                    </tr><%
                }
                if (StringUtils.isNotBlank(volumeHoraireTd)) {
                    %><tr>
                        <th><%=module.getMessage("ST_COURS_VOLUME_HORAIRE_TD")%></th>
                        <td><%=volumeHoraireTd%></td>
                    </tr><%
                }
                if (StringUtils.isNotBlank(volumeHoraireTp)) {
                    %><tr>
                        <th><%=module.getMessage("ST_COURS_VOLUME_HORAIRE_TP")%></th>
                        <td><%=volumeHoraireTp%></td>
                    </tr><%
                }
                if (StringUtils.isNotBlank(volumeHoraireProjet)) {
                    %><tr>
                        <th><%=module.getMessage("ST_COURS_VOLUME_HORAIRE_PROJET")%></th>
                        <td><%=volumeHoraireProjet%></td>
                    </tr><%
                }
                if (StringUtils.isNotBlank(volumeHoraireStage)) {
                    %><tr>
                        <th><%=module.getMessage("ST_COURS_VOLUME_HORAIRE_STAGE")%></th>
                        <td><%=volumeHoraireStage%></td>
                    </tr><%
                }
                if (StringUtils.isNotBlank(volumeHoraireDs)) {
                    %><tr>
                        <th><%=module.getMessage("ST_COURS_VOLUME_HORAIRE_DS")%></th>
                        <td><%=volumeHoraireDs%></td>
                    </tr><%
                }
            %></table><%
        }
        if (FrontUtil.isAnyNotBlank(coefTp,coefDs,coefTotal)) {
            %><table id="coefs" summary="<%=module.getMessage("ST_COURS_COEFFICIENTS")%>"><%
            if (StringUtils.isNotBlank(coefTotal)) {
                %><tr>
                    <th><%=module.getMessage("ST_COURS_COEF_TOTAL")%></th>
                    <td><%=coefTotal%></td>
               </tr><%
            }
            if (StringUtils.isNotBlank(coefTp)) {
                %><tr>
                    <th><%=module.getMessage("ST_COURS_COEF_TP")%></th>
                    <td><%=coefTp%></td>
               </tr><%
            }
            if (StringUtils.isNotBlank(coefDs)) {
                %><tr>
                    <th><%=module.getMessage("ST_COURS_COEF_DS")%></th>
                    <td><%=coefDs%></td>
               </tr><%
            }
            %></table><%
        }
        %><br class="separateur" /><%
    }
    if (StringUtils.isNotBlank(responsables)) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_COURS_RESPONSABLES")%></h2></div>
            <div class="motif__contenu toolbox"><%=responsables%></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
    if (StringUtils.isNotBlank(formations)) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_COURS_FORMATIONS_DONT_FAIT_PARTIE_COURS")%></h2></div>
            <div class="motif__contenu"><%=formations%></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
    if (StringUtils.isNotBlank(ueups)) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_COURS_UEUPS_DONT_FAIT_PARTIE_COURS")%></h2></div>
            <div class="motif__contenu"><%=ueups%></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
    if (StringUtils.isNotBlank(contacts)) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_COURS_COORDONNEES")%></h2></div>
            <div class="motif__contenu toolbox"><%=contacts%></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
    if (StringUtils.isNotBlank(objectifs)) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_COURS_OBJECTIFS")%></h2></div>
            <div class="motif__contenu toolbox"><%=objectifs%></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
    if (StringUtils.isNotBlank(contenuCours)) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_COURS_CONTENU")%></h2></div>
            <div class="motif__contenu toolbox"><%=contenuCours%></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
    if (StringUtils.isNotBlank(calendrier)) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_COURS_CALENDRIER")%></h2></div>
            <div class="motif__contenu toolbox"><%=calendrier%></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
    if (StringUtils.isNotBlank(bibliographie)) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_COURS_BIBLIOGRAPHIE")%></h2></div>
            <div class="motif__contenu toolbox"><%=bibliographie%></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
    if (StringUtils.isNotBlank(controleConnaissances)) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_COURS_CONTROLE_CONNAISSANCES")%></h2></div>
            <div class="motif__contenu toolbox"><%=controleConnaissances%></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
    if (StringUtils.isNotBlank(complements)) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_COURS_INFORMATIONS_COMPLEMENTAIRES")%></h2></div>
            <div class="motif__contenu toolbox"><%=complements%></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
%>
