<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: offreformation
    Version: 1.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@ page import="com.jsbsoft.jtf.core.FormateurJSP" %>
<%@ page import="com.kosmos.controllers.SGController" %>
<%@ page import="com.kportal.core.config.MessageHelper" %>
<%@ page import="com.kportal.core.config.PropertyHelper" %>
<%@ page import="com.univ.utils.UnivFmt" %>
<%@ page errorPage="/adminsite/jsbexception.jsp" %>
<jsp:useBean id="infoBean" class="com.jsbsoft.jtf.core.InfoBean" scope="request" />
<jsp:useBean id="fmt" class="com.jsbsoft.jtf.core.FormateurJSP" scope="page" />
<jsp:useBean id="univFmt" class="com.univ.utils.UnivFmt" scope="page" />
<%
String titreFormation = "";
String titreAnnee = "";

if (infoBean.getString("LISTE").equalsIgnoreCase("DIPLOME")){
    titreFormation = MessageHelper.getMessage("offreformation", "JTF_ANNUAIREANCIENSETUDIANTS_DIPLOMES_OBTENUS2");
    titreAnnee = MessageHelper.getMessage("offreformation", "JTF_ANNUAIREANCIENSETUDIANTS_ANNEE_DIPLOME2");
}else if (infoBean.getString("LISTE").equalsIgnoreCase("FORMATION")){
    titreFormation = MessageHelper.getMessage("offreformation", "JTF_ANNUAIREETUDIANTS_CODE_FORMATION2");
    titreAnnee = MessageHelper.getMessage("offreformation", "JTF_ANNUAIREETUDIANTS_PROMOTION");
}
%>
<form class="en-colonne popup" action="<%=PropertyHelper.getCoreProperty(SGController.URL_PROPERTY)%>" enctype="multipart/form-data" method="post">
    <div id="content">

        <input type="hidden" name="PROC" value="TRAITEMENT_DIPLOME">
        <input type="hidden" name="#ECRAN_LOGIQUE#" value="PRINCIPAL">
        <input type="hidden" name="EXT" value="<%=infoBean.getNomExtension()%>">
        <input type="hidden" name="#ETAT#" value="<%=infoBean.getEtatObjet()%>"><%
            if (infoBean.get("VARIABLE") != null) {
        %>
            <input type="hidden" name="VARIABLE" value="<%=infoBean.get("VARIABLE")%>" /><%
                }
            %>
        <input type="hidden" name="CODE_FORMATION" value="<%=infoBean.get("CODE_FORMATION")%>" />
        <input type="hidden" name="LANGUE_FORMATION" value="<%=infoBean.get("LANGUE_FORMATION")%>" />

        <div class="popup_content">
            <p>
                <label for="LIBELLE_FORMATION" class="colonne"><%=titreFormation%></label>
                <%univFmt.insererContenuChampSaisie(fmt, out, infoBean, "LIBELLE_FORMATION", FormateurJSP.SAISIE_AFFICHAGE, FormateurJSP.FORMAT_TEXTE, 0, 255, MessageHelper.getMessage("offreformation", "JTF_FORMATION_LIBELLE"));%>
            </p>
            <p>
                <label for="ANNEE" class="colonne"><%=titreAnnee%></label>
                <%fmt.insererCombo(out, infoBean, "ANNEE", UnivFmt.getModeRechercheZone(infoBean, "ANNUAIREANCIENSETUDIANTS.ANNEE_DIPLOME"), "annee_universitaire", MessageHelper.getMessage("offreformation", "JTF_ANNUAIREANCIENSETUDIANTS_ANNEE_DIPLOME"));%>
            </p>
        </div>


        <div class="popup_footer">
            <p>
                <input type="submit" name="ENREGISTRER" value="Enregistrer" onclick="validate();"/>
                <input type="reset" name="ANNULER" value="Annuler" onclick="abort();"/>
            </p>
        </div><!-- .popup_footer -->
    </div><!-- #content -->
</form>
<script>
    function validate(){
        var $ = jQuery,
            code = $('input[name="CODE_FORMATION"]').val(),
            langue = $('input[name="LANGUE_FORMATION"]').val(),
            annee = $('#ANNEE option:selected').val(),
            sCode = code + ',' + langue + ',' + annee,
            libelle = $('label[for="LIBELLE_FORMATION"]').next().text() + (annee === "0000" ? "" : " [" + $('#ANNEE option:selected').text().replace(/\s/g, '') + "]");
        if(window.iFrameRegistration){
            iFrameHelper.sendValues(window.iFrameRegistration, {sCode : sCode, libelle : libelle});
        }
    }

    function abort(){
        if(window.iFrameRegistration){
            iFrameHelper.abort(window.iFrameRegistration);
        }
    }
</script>
