<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: offreformation
    Version: 1.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@page import="org.apache.commons.lang3.StringUtils"%>
<%@page import="com.kosmos.service.impl.ServiceManager"%>
<%@page import="com.kportal.cms.objetspartages.Objetpartage"%>
<%@page import="com.kportal.ihm.utils.EncadresFrontUtils"%>
<%@page import="com.ksup.objetspartages.om.Formation"%>
<%@page import="com.univ.objetspartages.om.ReferentielObjets"%>
<%@page import="com.univ.objetspartages.om.StructureModele"%>
<%@page import="com.univ.objetspartages.services.ServiceStructure"%>
<%@ page import="com.univ.utils.ContexteUniv" %>
<%@ page import="com.univ.utils.ContexteUtil" %>
<%@ page import="com.univ.url.utils.UrlUtils" %>
<%@taglib prefix="components" uri="http://kportal.kosmos.fr/tags/components" %>
<%
ContexteUniv ctx = ContexteUtil.getContexteUniv();
Formation formation = (Formation) ctx.getFicheCourante();
Objetpartage module = ReferentielObjets.getObjetByNom(ReferentielObjets.getNomObjet(formation));
/********************************************
*        Encadrés automatiques                 *
*********************************************/
    final ServiceStructure serviceStructure = ServiceManager.getServiceForBean(StructureModele.class);
StructureModele structure = serviceStructure.getByCodeLanguage(formation.getCodeRattachement(), ctx.getLangue());
if (structure != null || StringUtils.isNotBlank(formation.getCodeRattachementAutres())) {
    %><div class="<%= EncadresFrontUtils.AUTO_FICHE%>">
        <h2><%= module.getMessage("ST_RENSEIGNEMENTS_PRATIQUES") %></h2>
        <div class="encadre_contenu"><%
            if (structure != null) {
                %><div class="filet">
                    <a href="<%= UrlUtils.getUrlFiche(structure.getPersistanceBean()) %>" ><%= structure.getLibelleLong() %></a><br /><%
                    if (StringUtils.isNotBlank(structure.getAdresse())) {
                        %><%= structure.getAdresse() %><br /><%
                    }
                    if (StringUtils.isNotBlank(structure.getCodePostal()) || StringUtils.isNotBlank(structure.getVille())) {
                        %><%= structure.getCodePostal() %> <%= structure.getVille().trim() %><br /><%
                    }
                    if (StringUtils.isNotBlank(structure.getTelephone())) {
                        %><%= module.getMessage("ST_STRUCTURE_TELEPHONE") %> : <%= structure.getTelephone() %><br /><%
                    }
                    if (StringUtils.isNotBlank(structure.getTelecopie())) {
                        %><%= module.getMessage("ST_STRUCTURE_TELECOPIE") %> : <%= structure.getTelecopie() %><br /><%
                    }
                    if (StringUtils.isNotBlank(structure.getAdresseMail()) && StringUtils.contains(structure.getAdresseMail(), "@")) {
                        %><components:email-link href="<%= structure.getAdresseMail() %>" label='<%=module.getMessage("ST_STRUCTURE_MEL")%>'/><br /><%
                    }
                    if (StringUtils.isNotBlank(structure.getSiteWeb()) && !"http://".equals(structure.getSiteWeb())) {
                        %><a href="<%= structure.getSiteWeb() %>" title="<%=module.getMessage("ST_STRUCTURE_SUR_INTERNET")%>"><%= module.getMessage("ST_STRUCTURE_SUR_INTERNET")%></a><br /><%
                    }
                %></div><%
            }
            if (StringUtils.isNotBlank(formation.getCodeRattachementAutres())){
                String[] codeRattachements = StringUtils.split(formation.getCodeRattachementAutres(), ";");
                for (String codeRattachement : codeRattachements) {
                    StructureModele structureAutre = serviceStructure.getByCodeLanguage(codeRattachement, ctx.getLangue());
                    if (structureAutre != null) {
                        %><div class="filet">
                            <a href="<%= UrlUtils.getUrlFiche(structureAutre.getPersistanceBean()) %>"><%= structureAutre.getLibelleLong() %></a><br /><%
                            if (StringUtils.isNotBlank(structureAutre.getAdresse())) {
                                %><%= structureAutre.getAdresse() %><br /><%
                            }
                            if (StringUtils.isNotBlank(structureAutre.getCodePostal()) || StringUtils.isNotBlank(structureAutre.getVille())) {
                                %><%= structureAutre.getCodePostal() %> <%= structureAutre.getVille().trim() %><br /><%
                            }
                            if (StringUtils.isNotBlank(structureAutre.getTelephone())) {
                                %><%= module.getMessage("ST_STRUCTURE_TELEPHONE") %> : <%= structureAutre.getTelephone() %><br /><%
                            }
                            if (StringUtils.isNotBlank(structureAutre.getTelecopie())) {
                                %><%= module.getMessage("ST_STRUCTURE_TELECOPIE") %> : <%= structureAutre.getTelecopie() %><br /><%
                            }
                            if (StringUtils.isNotBlank(structureAutre.getAdresseMail()) && StringUtils.contains(structureAutre.getAdresseMail(), "@")) {
                                %><components:email-link href="<%= structureAutre.getAdresseMail() %>" label='<%=module.getMessage("ST_STRUCTURE_MEL")%>'/><br /><%
                            }
                            if (StringUtils.isNotBlank(structureAutre.getSiteWeb()) && !"http://".equals(structureAutre.getSiteWeb())) {
                                %><a href="<%= structureAutre.getSiteWeb() %>" title="<%=module.getMessage("ST_STRUCTURE_SUR_INTERNET")%>"><%= module.getMessage("ST_STRUCTURE_SUR_INTERNET")%></a><br /><%
                            }
                        %></div><%
                    }
                }
            }
        %></div><!-- .encadre_contenu -->
    </div><!-- .<%= EncadresFrontUtils.AUTO_FICHE%> --><%
}
String autresEtablissements = formation.getFormatedAutresEtablissements();
if (StringUtils.isNotBlank(autresEtablissements)) {
    %><div class="<%= EncadresFrontUtils.AUTO_FICHE%>">
        <h2><%= module.getMessage("ST_FORMATION_AUTRES_ETABLISSEMENTS") %></h2>
        <div class="encadre_contenu toolbox">
            <%= autresEtablissements %>
        </div><!-- .encadre_contenu -->
    </div><!-- .<%= EncadresFrontUtils.AUTO_FICHE%> --> <%
}
String complementsVae = formation.getFormatedComplementsVae();
if (StringUtils.isNotBlank(complementsVae)) {
    %><div class="<%= EncadresFrontUtils.AUTO_FICHE%>">
        <h2><%= module.getMessage("ST_FORMATION_COMPLEMENTS_VAE") %></h2>
        <div class="encadre_contenu toolbox">
            <%= complementsVae %>
        </div><!-- .encadre_contenu -->
    </div><!-- .<%= EncadresFrontUtils.AUTO_FICHE%> --> <%
}
String stage = formation.getFormatedStage();
boolean stageObligatoire = "1".equals(formation.isStageObligatoire());
boolean stageOptionnel = "1".equals(formation.isStageOptionnel());
boolean stageEtranger = "1".equals(formation.isStageEtranger());
if (stageObligatoire || stageOptionnel || stageEtranger || StringUtils.isNotBlank(stage)) {
    %><div class="<%= EncadresFrontUtils.AUTO_FICHE%>">
        <h2><%= module.getMessage("ST_FORMATION_STAGES") %></h2>
        <div class="encadre_contenu"><%
            if (stageObligatoire) {
                %><span class="stage_important"><%= module.getMessage("ST_FORMATION_STAGE_OBLIGATOIRE") %></span><br /><%
            }
            if (stageOptionnel) {
                %><span class="stage_important"><%= module.getMessage("ST_FORMATION_STAGE_OPTIONNEL") %></span><br /><%
            }
            if (stageEtranger) {
                %><span class="stage_important"><%= module.getMessage("ST_FORMATION_STAGE_ETRANGER") %></span><br /><%
            }
            if (StringUtils.isNotBlank(stage)) {
                %><%=stage %><%
            }
        %></div><!-- .encadre_contenu -->
    </div><!-- .<%= EncadresFrontUtils.AUTO_FICHE%> --> <%
}
String statistiques = formation.getFormatedStatistiques();
if (StringUtils.isNotBlank(statistiques)) {
    %><div class="<%= EncadresFrontUtils.AUTO_FICHE%>">
        <h2><%= module.getMessage("ST_FORMATION_STATISTIQUES") %></h2>
        <div class="encadre_contenu toolbox">
            <%= statistiques %>
        </div><!-- .encadre_contenu -->
    </div><!-- .<%= EncadresFrontUtils.AUTO_FICHE%> --> <%
}
%>