<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: offreformation
    Version: 1.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@page import="com.kosmos.service.impl.ServiceManager"%>
<%@page import="com.kportal.cms.objetspartages.Objetpartage"%>
<%@page import="com.univ.objetspartages.om.ReferentielObjets"%>
<%@page import="com.univ.objetspartages.om.StructureModele"%>
<%@page import="com.univ.objetspartages.services.ServiceStructure"%>
<%@page import="com.univ.objetspartages.util.LabelUtils"%>
<%@page import="com.univ.utils.ContexteUniv"%>
<%@ page import="com.univ.utils.ContexteUtil" %>
<%@ page import="com.univ.utils.RequeteUtil" %>
<%@ page import="com.univ.utils.UnivWebFmt" %>
<%
    final ServiceStructure serviceStructure = ServiceManager.getServiceForBean(StructureModele.class);
    ContexteUniv ctx = ContexteUtil.getContexteUniv();
    Objetpartage module = ReferentielObjets.getObjetByNom("formation");
    String requete = (String)ctx.getData("requete");
    String modifRecherche = (String)ctx.getData("modifRecherche");
    String criteresRechAvancee = (String)ctx.getData("criteresRechAvancee");

    String parametreEnCours = RequeteUtil.renvoyerParametre(requete, "LIBELLE");
    if (parametreEnCours.length() > 0) {
        modifRecherche += "&LIBELLE=" + com.univ.utils.EscapeString.escapeURL(parametreEnCours);
        criteresRechAvancee += "\"" + parametreEnCours + "\"";
    }

    parametreEnCours = RequeteUtil.renvoyerParametre(requete, "TYPE_DIPLOME");
    if (parametreEnCours.length() > 0 && !parametreEnCours.equals("0000")) {
            modifRecherche += "&TYPE_DIPLOME=" + com.univ.utils.EscapeString.escapeURL(parametreEnCours);
            criteresRechAvancee += "\"" + LabelUtils.getLibelle("20", parametreEnCours, ctx.getLocale()) + "\"";
    }

    parametreEnCours = RequeteUtil.renvoyerParametre(requete, "NATURE_FORMATION");
    if (parametreEnCours.length() > 0 && !parametreEnCours.equals("0000")) {
        modifRecherche += "&NATURE_FORMATION=" + com.univ.utils.EscapeString.escapeURL(parametreEnCours);
        criteresRechAvancee += "\"" +  UnivWebFmt.insererLibelleFichier(module.getIdExtension(), "nature_formation", ctx.getLocale(), parametreEnCours) + "\"";
    }

    parametreEnCours = RequeteUtil.renvoyerParametre(requete, "DOMAINE_FORMATION_ETABLISSEMENT");
    if (parametreEnCours.length() > 0 && !parametreEnCours.equals("0000")) {
        modifRecherche += "&DOMAINE_FORMATION_ETABLISSEMENT=" + com.univ.utils.EscapeString.escapeURL(parametreEnCours);
        criteresRechAvancee += "\"" + LabelUtils.getLibelle("50", parametreEnCours, ctx.getLocale()) + "\"";
    }

    parametreEnCours = RequeteUtil.renvoyerParametre(requete, "VILLE");
    if (parametreEnCours.length() > 0 && !parametreEnCours.equals("0000")) {
        modifRecherche += "&VILLE=" + com.univ.utils.EscapeString.escapeURL(parametreEnCours);
        criteresRechAvancee += "\"" + LabelUtils.getLibelle("22", parametreEnCours, ctx.getLocale()) + "\"";
    }

    parametreEnCours = RequeteUtil.renvoyerParametre(requete, "MODALITES_ENSEIGNEMENT");
    if (parametreEnCours.length() > 0 && !parametreEnCours.equals("0000")) {
        modifRecherche += "&MODALITES_ENSEIGNEMENT=" + com.univ.utils.EscapeString.escapeURL(parametreEnCours);
    }

    parametreEnCours = RequeteUtil.renvoyerParametre(requete, "NIVEAU_RECRUTEMENT");
    if (parametreEnCours.length() > 0 && !parametreEnCours.equals("0000")) {
        modifRecherche += "&NIVEAU_RECRUTEMENT=" + com.univ.utils.EscapeString.escapeURL(parametreEnCours);
        criteresRechAvancee += "\"" +  UnivWebFmt.insererLibelleFichier(module.getIdExtension(), "niveau_recrutement", ctx.getLocale(), parametreEnCours) + "\"";
    }

    parametreEnCours = RequeteUtil.renvoyerParametre(requete, "ANNEE_POSTBAC");
    if (parametreEnCours.length() > 0 && !parametreEnCours.equals("0000")) {
        modifRecherche += "&ANNEE_POSTBAC=" + com.univ.utils.EscapeString.escapeURL(parametreEnCours);
        criteresRechAvancee += "\"" +  UnivWebFmt.insererLibelleFichier(module.getIdExtension(), "annee_postbac", ctx.getLocale(), parametreEnCours) + "\"";
    }

    parametreEnCours = RequeteUtil.renvoyerParametre(requete, "ANNEE_UNIVERSITAIRE");
    if (parametreEnCours.length() > 0 && !parametreEnCours.equals("0000")) {
        modifRecherche += "&ANNEE_UNIVERSITAIRE=" + com.univ.utils.EscapeString.escapeURL(parametreEnCours);
        criteresRechAvancee += "\"" +  UnivWebFmt.insererLibelleFichier(module.getIdExtension(), "annee_universitaire", ctx.getLocale(), parametreEnCours) + "\"";
    }

    parametreEnCours = RequeteUtil.renvoyerParametre(requete, "DISCIPLINE");
    if (parametreEnCours.length() > 0 && !parametreEnCours.equals("0000")) {
        modifRecherche += "&DISCIPLINE=" + com.univ.utils.EscapeString.escapeURL(parametreEnCours);
        criteresRechAvancee += "\"" + LabelUtils.getLibelle("55", parametreEnCours, ctx.getLocale()) + "\"";
    }

    parametreEnCours = RequeteUtil.renvoyerParametre(requete, "DOMAINE_ERASMUS");
    if (parametreEnCours.length() > 0 && !parametreEnCours.equals("0000")) {
        modifRecherche += "&DOMAINE_ERASMUS=" + com.univ.utils.EscapeString.escapeURL(parametreEnCours);
        criteresRechAvancee += "\"" +  UnivWebFmt.insererLibelleFichier(module.getIdExtension(), "domaines_erasmus", ctx.getLocale(), parametreEnCours) + "\"";
    }

    parametreEnCours = RequeteUtil.renvoyerParametre(requete, "COMPETENCES_VISEES");
    if (parametreEnCours.length() > 0 && !parametreEnCours.equals("0000")) {
        modifRecherche += "&COMPETENCES_VISEES=" + com.univ.utils.EscapeString.escapeURL(parametreEnCours);
        criteresRechAvancee += "\"" + LabelUtils.getLibelle("51", parametreEnCours, ctx.getLocale()) + "\"";
    }

    parametreEnCours = RequeteUtil.renvoyerParametre(requete, "SECTEURS_ACTIVITES");
    if (parametreEnCours.length() > 0 && !parametreEnCours.equals("0000")) {
        modifRecherche += "&SECTEURS_ACTIVITES=" + com.univ.utils.EscapeString.escapeURL(parametreEnCours);
        criteresRechAvancee += "\"" +  UnivWebFmt.insererLibelleFichier(module.getIdExtension(), "secteurs_activites", ctx.getLocale(), parametreEnCours) + "\"";
    }

    parametreEnCours = RequeteUtil.renvoyerParametre(requete, "METIERS");
    if (parametreEnCours.length() > 0 && !parametreEnCours.equals("0000")) {
        modifRecherche += "&METIERS=" + com.univ.utils.EscapeString.escapeURL(parametreEnCours);
        criteresRechAvancee += "\"" +  UnivWebFmt.insererLibelleFichier(module.getIdExtension(), "metiers", ctx.getLocale(), parametreEnCours) + "\"";
    }

    parametreEnCours = RequeteUtil.renvoyerParametre(requete, "CODE_RATTACHEMENT");
    if (parametreEnCours.length() > 0) {
        modifRecherche += "&CODE_RATTACHEMENT=" + com.univ.utils.EscapeString.escapeURL(parametreEnCours);
        criteresRechAvancee += "\"" + serviceStructure.getDisplayableLabel(parametreEnCours, ctx.getLangue()) + "\"";
    }

    ctx.putData("modifRecherche",modifRecherche);
    ctx.putData("criteresRechAvancee",criteresRechAvancee);

%>