<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: offreformation
    Version: 1.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.Arrays"%>
<%@page import="java.util.LinkedHashMap"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Map"%>
<%@page import="java.util.StringTokenizer"%>
<%@page import="org.apache.commons.lang3.StringUtils"%>
<%@page import="com.kosmos.service.impl.ServiceManager"%>
<%@page import="com.kportal.cms.objetspartages.Objetpartage"%>
<%@page import="com.ksup.objetspartages.om.Formation"%>
<%@page import="com.univ.objetspartages.om.ReferentielObjets"%>
<%@page import="com.univ.objetspartages.om.StructureModele"%>
<%@page import="com.univ.objetspartages.services.ServiceStructure"%>
<%@ page import="com.univ.utils.ContexteUniv" %>
<%@ page import="com.univ.utils.ContexteUtil" %>
<%@ page import="com.univ.url.utils.UrlUtils" %>
<%
final ContexteUniv ctx = ContexteUtil.getContexteUniv();
final Formation formation = (Formation) ctx.getData("fiche");
final Objetpartage module = ReferentielObjets.getObjetByNom(ReferentielObjets.getNomObjet(formation));
final Map<String, List<String>> fields = new LinkedHashMap<>();


    final ServiceStructure serviceStructure = ServiceManager.getServiceForBean(StructureModele.class);
    StructureModele structure = serviceStructure.getByCodeLanguage(formation.getCodeRattachement(), ctx.getLangue());

if(StringUtils.isNotBlank(formation.getNiveauRecrutement())){
    fields.put(module.getMessage("ST_FORMATION_NIVEAU_X_RECRUTEMENT"), Arrays.asList(formation.getLibelleNiveauRecrutement()));
}

final List<String> modalites = new ArrayList<String>();
if (formation.isFormationInitiale()) {
    modalites.add(module.getMessage("ST_FORMATION_FORMATION_INITIALE"));
}
if (formation.isFormationContinue()) {
    modalites.add(module.getMessage("ST_FORMATION_FORMATION_CONTINUE"));
}
if (formation.isFormationAlternance()) {
    modalites.add(module.getMessage("ST_FORMATION_FORMATION_EN_ALTERNANCE"));
}
if (formation.isFormationApprentissage()) {
    modalites.add(module.getMessage("ST_FORMATION_FORMATION_EN_APPRENTISSAGE"));
}
if (formation.isMixteDistance()) {
    modalites.add(module.getMessage("ST_FORMATION_FORMATION_A_DISTANCE"));
}
if(!modalites.isEmpty()){
    fields.put("Modalités", modalites);
}

if(formation.isStageEtranger() || formation.isStageObligatoire() || formation.isStageOptionnel()){
    fields.put(module.getMessage("ST_FORMATION_STAGES"), Arrays.asList(module.getMessage("JTF_OUI")));
}else{
    fields.put(module.getMessage("ST_FORMATION_STAGES"), Arrays.asList(module.getMessage("JTF_NON")));
}

if(StringUtils.isNotBlank(formation.getDureeEtudes())){
    fields.put(module.getMessage("ST_FORMATION_DUREE_ETUDES"), Arrays.asList(formation.getDureeEtudes()));
}

final List<String> composantes = new ArrayList<>();
final StringTokenizer stRattAutres = new StringTokenizer(formation.getCodeRattachementAutres(), ";");
if (structure != null) {
    composantes.add(structure.getLibelleLong());
}
while (stRattAutres.hasMoreTokens()) {
    StructureModele structureRattachementAutres = serviceStructure.getByCodeLanguage(stRattAutres.nextToken(), formation.getLangue());
    if (structureRattachementAutres != null) {
        composantes.add(structureRattachementAutres.getLibelleLong());
    }
}
if(!composantes.isEmpty()){
    fields.put("Composantes", composantes);
}

final List<String> villes = new ArrayList<>();
final StringTokenizer stVilles = new StringTokenizer(formation.getLibelleVille(), ";");
while (stVilles.hasMoreTokens()) {
    final String currentVille = stVilles.nextToken();
    if(StringUtils.isNotBlank(currentVille)){
        villes.add(currentVille);
    }
}
if (!villes.isEmpty()) {
    fields.put(module.getMessage("ST_FORMATION_VILLE_S"), villes);
}
String urlFiche = UrlUtils.getUrlFiche(formation.getPersistanceBean());
if (StringUtils.isNotBlank(urlFiche)) {
    %><a href="<%= urlFiche %>"><%=formation.getLibelleAffichable()%></a><%
} else {
    %><br/><%=formation.getLibelleAffichable()%><%
}
if(!fields.isEmpty()){
    int milieu = fields.size() / 2;
    int cpt = 0;
    %><div class="colonne__pas2"><%
    for(Map.Entry<String, List<String>> currentEntry : fields.entrySet()){
        if(StringUtils.isNotBlank(currentEntry.getKey()) && !currentEntry.getValue().isEmpty()){
            if(cpt == milieu){
                %></div><div class="colonne__pas2"><%
            }
            %><span class="label"><%= currentEntry.getKey() %> : </span><%=  StringUtils.join(currentEntry.getValue().iterator(), ", ") %><br/><%
        }
    }
    %></div><%
}
%>