<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: offreformation
    Version: 1.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@page import="org.apache.commons.lang3.StringUtils"%>
<%@page import="com.kportal.cms.objetspartages.Objetpartage"%>
<%@page import="com.kportal.ihm.utils.FrontUtil"%>
<%@page import="com.ksup.objetspartages.om.Formation"%>
<%@page import="com.ksup.objetspartages.util.FormationFrontUtil" %>
<%@page import="com.univ.objetspartages.bean.RessourceBean" %>
<%@page import="com.univ.objetspartages.om.ReferentielObjets"%>
<%@ page import="com.univ.utils.ContexteUtil" %>
<%@ taglib prefix="kmedia" uri="kmedia" %>
<% 
final Formation formation = (Formation) ContexteUtil.getContexteUniv().getFicheCourante();
final Objetpartage module = ReferentielObjets.getObjetByNom(ReferentielObjets.getNomObjet(formation));
    final RessourceBean ressourceBean = FormationFrontUtil.getRessourceBeanByFormation(formation); 
/* affichage de la photo jointe */
if (ressourceBean != null) {
    %><div class="photo">
        <kmedia:champPhoto media="<%=ressourceBean%>"/>
    </div><!-- .photo --> 
    <br class="separateur" /><%
}
/* affichage du résumé */
if (StringUtils.isNotBlank(formation.getFormatedResume())) { %>
    <div class="element_deco toolbox">
        <p><%=formation.getFormatedResume()%></p>
    </div><!-- .element_deco --><%
}
/* affichage des objectifs */
if (StringUtils.isNotBlank(formation.getFormatedObjectifs())) {
    %><div class="element_deco motif">
        <div class="motif__titre"><h2><%=module.getMessage("ST_FORMATION_OBJECTIFS")%></h2></div>
        <div class="motif__contenu toolbox"><p><%=formation.getFormatedObjectifs()%></p></div><!-- .motif__contenu -->
    </div><!-- .element_deco --><%
}
/* affichage des spécificités */
if (StringUtils.isNotBlank(formation.getFormatedSpecificites())) { %>
    <div class="element_deco motif">
        <div class="motif__titre"><h2><%=module.getMessage("ST_FORMATION_SPECIFICITES")%></h2></div>
        <div class="motif__contenu toolbox"><p><%=formation.getFormatedSpecificites()%></p></div><!-- .motif__contenu -->
    </div><!-- .element_deco --><%
}
if ( StringUtils.isNotBlank(formation.getFormatedEchangesInternationaux()) || 
    StringUtils.isNotBlank(formation.getLibelleDomaineErasmus())) {
    /* affichage des échanges internationaux */
    if (StringUtils.isNotBlank(formation.getFormatedEchangesInternationaux())) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_FORMATION_ECHANGES_INTERNATIONAUX")%></h2></div>
            <div class="motif__contenu toolbox"><p><%=formation.getFormatedEchangesInternationaux()%></p><%
            /* affichage des domaines erasmus */
            if (StringUtils.isNotBlank(formation.getLibelleDomaineErasmus())) { %>
                <h3><%=module.getMessage("ST_FORMATION_DOMAINE_S_ERASMUS")%></h3>
                <p><%=formation.getLibelleDomaineErasmus()%></p><%
            }
        %></div><!-- .motif__contenu --></div><!-- .element_deco --><%
   }
}
/* affichage des spécificités */
if ((formation.isStageObligatoire() || formation.isStageOptionnel() || formation.isStageEtranger()) && StringUtils.isNotBlank(formation.getFormatedStage())) {
    %><div class="element_deco motif">
        <div class="motif__titre"><h2 id="presentation-stages"><%=module.getMessage("ST_FORMATION_STAGES")%></h2></div>
        <div class="motif__contenu toolbox"><p><%=formation.getFormatedStage()%></p></div><!-- .motif__contenu -->
    </div><!-- .element_deco --><%
}
/* affichage des laboratoires partenaires */
if (FrontUtil.isAnyNotBlank(formation.getFormatedLaboratoiresPartenaires(),formation.getFormatedEtablissementsPartenaires(), formation.getFormatedEntreprisesPartenaires())) {
    %><div class="element_deco motif">
        <div class="motif__titre"><h2><%=module.getMessage("ST_FORMATION_PARTENAIRES")%></h2></div>
        <div class="motif__contenu"><%
            if (StringUtils.isNotBlank(formation.getFormatedEntreprisesPartenaires())) {
                %><h3><%=module.getMessage("ST_FORMATION_ENTREPRISES_PARTENAIRES")%></h3>
                <p class="toolbox"><%=formation.getFormatedEntreprisesPartenaires()%></p><%
            }
            if (StringUtils.isNotBlank(formation.getFormatedLaboratoiresPartenaires())) {
                %><h3><%=module.getMessage("ST_FORMATION_LABORATOIRES_PARTENAIRES")%></h3>
                <p class="toolbox"><%=formation.getFormatedLaboratoiresPartenaires()%></p><%
            }
            if (StringUtils.isNotBlank(formation.getFormatedEtablissementsPartenaires())) {
                %><h3><%=module.getMessage("ST_FORMATION_ETABLISSEMENTS_PARTENAIRES")%></h3>
                <p class="toolbox"><%=formation.getFormatedEtablissementsPartenaires()%></p><%
            }
        %></div><!-- .motif__contenu -->
    </div><!-- .element_deco --><%
} 
%>
