<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: offreformation
    Version: 1.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@page import="org.apache.commons.lang3.StringUtils"%>
<%@page import="com.kportal.cms.objetspartages.Objetpartage"%>
<%@page import="com.kportal.ihm.utils.FrontUtil"%>
<%@page import="com.ksup.objetspartages.om.Formation"%>
<%@page import="com.ksup.objetspartages.util.FormationFrontUtil"%>
<%@page import="com.ksup.objetspartages.util.Tab"%>
<%@page import="com.univ.objetspartages.om.ReferentielObjets"%>
<%@ page import="com.univ.utils.ContexteUtil" %>
<%@ page import="com.univ.url.utils.UrlUtils" %>
<%
    final Formation formation = (Formation) ContexteUtil.getContexteUniv().getFicheCourante();
    final Objetpartage module = ReferentielObjets.getObjetByNom(ReferentielObjets.getNomObjet(formation));
    final String villes = formation.getLibelleVille().replaceAll(";", "<br />");
    final String ficheUrl = UrlUtils.getUrlFiche(formation.getPersistanceBean());
    final String formationUrl = ficheUrl + (StringUtils.indexOf(ficheUrl, "?") != -1 ? "&" : "?");
    boolean hasStages = formation.isStageEtranger() || formation.isStageObligatoire() || formation.isStageOptionnel();

    if (FrontUtil.isAnyNotBlank(formation.getNiveauRecrutement(), formation.getDureeEtudes(), villes, formation.getTarif()) ||
            formation.isFormationInitiale() || formation.isFormationContinue() || formation.isFormationAlternance() || formation.isFormationApprentissage() || formation.isModalitesFormationDistance() || formation.isMixteDistance()) {
        %><div class="informations-generales">
        <h2><%= module.getMessage("ST_FORMATION_INFOS_GENERALES") %></h2><%
    }

    if (StringUtils.isNotBlank(formation.getLibelleNiveauRecrutement()) || StringUtils.isNotBlank(formation.getDureeEtudes()) ||
            StringUtils.isNotBlank(villes) || StringUtils.isNotBlank(formation.getTarif())) {
        %><div class="colonne__pas2">

            <dl class="liste-definitions"><%
                /* affichage des niveaux de recrutement */
                if (StringUtils.isNotBlank(formation.getLibelleNiveauRecrutement())) {
            %><dt class="liste-definitions__terme"><%=module.getMessage("ST_FORMATION_NIVEAU_X_RECRUTEMENT")%></dt><!--
                     --><dd class="liste-definitions__definition"><%=formation.getLibelleNiveauRecrutement()%><br />
                    <a class="js-force-reload" href="<%= formationUrl %>ONGLET=2#onglet2"><%= module.getMessage("ST_FORMATION_CONDITIONS_ADMISSION") %></a></dd><%
                }
                /* affichage de la durée des études */
                if (StringUtils.isNotBlank(formation.getDureeEtudes())) { %>
                <dt class="liste-definitions__terme"><%=module.getMessage("ST_FORMATION_DUREE_ETUDES")%></dt><!--
                     --><dd class="liste-definitions__definition"><%=formation.getDureeEtudes()%></dd><%
                    }
                /* affichage des villes */
                    if (StringUtils.isNotBlank(villes)) {
                %><dt class="liste-definitions__terme"><%=module.getMessage("ST_FORMATION_VILLE_S")%></dt><!--
                     --><dd class="liste-definitions__definition"><%=villes%></dd><%
                    }
                %><dt class="liste-definitions__terme"><%=module.getMessage("ST_FORMATION_STAGES")%></dt><!--
                     --><dd class="liste-definitions__definition">
                    <%= (hasStages ? module.getMessage("JTF_OUI") : module.getMessage("JTF_NON")) %><%
                    if(hasStages) {
                %> <a class="js-force-reload" href="<%= formationUrl %>ONGLET=1#presentation-stages"><%= module.getMessage("ST_FORMATION_EN_SAVOIR_PLUS") %></a><%
                    }
                %></dd><%
                    /* affichage du coût de la formation */
                    if (StringUtils.isNotBlank(formation.getTarif())) { %>
                <dt class="liste-definitions__terme"><%=module.getMessage("ST_FORMATION_COUT")%></dt><!--
                     --><dd class="liste-definitions__definition"><%=formation.getTarif()%></dd><%
                    }
                %></dl>
        </div><!-- .colonne__pas2 --><%
    }
    if (formation.isFormationInitiale() || formation.isFormationContinue() || formation.isFormationAlternance() || formation.isFormationApprentissage() || formation.isModalitesFormationDistance() || formation.isMixteDistance()) {
        %><div class="colonne__pas2">
            <dl class="liste-definitions">
                <dt class="liste-definitions__terme"><%=module.getMessage("ST_FORMATION_ACCESSIBLE_EN")%></dt><!--
             --><dd class="liste-definitions__definition"><%
                if(formation.isFormationInitiale() || formation.isFormationContinue() || formation.isFormationAlternance() ||
                        formation.isFormationApprentissage() || formation.isModalitesFormationDistance() || formation.isMixteDistance()) {
                    %><ul><%
                }
                /* affichage de la formation initiale */
                if (formation.isFormationInitiale()) {
                        if(FormationFrontUtil.isTabVisible(Tab.getFromValue("onglet2"), formation)) {
                %><li><a class="js-force-reload" href="<%= formationUrl %>ONGLET=2#formation-initiale"><%= module.getMessage("ST_FORMATION_FORMATION_INITIALE") %></a></li><%
                } else {
                %><li><%= module.getMessage("ST_FORMATION_FORMATION_INITIALE") %></li><%
                        }
                    }
                        /* affichage de la formation continue */
                    if (formation.isFormationContinue()) {
                        if (StringUtils.isNotBlank(formation.getUrlFormationContinue()) && !formation.getUrlFormationContinue().equals("http://")) {
                %><li><a href="<%=formation.getUrlFormationContinue()%>"><%= module.getMessage("ST_FORMATION_FORMATION_CONTINUE") %></a></li><%
                } else {
                    if(FormationFrontUtil.isTabVisible(Tab.getFromValue("onglet2"), formation)) {
                %><li><a class="js-force-reload" href="<%= formationUrl %>ONGLET=2#formation-continue"><%= module.getMessage("ST_FORMATION_FORMATION_CONTINUE") %></a></li><%
                } else {
                %><li><%= module.getMessage("ST_FORMATION_FORMATION_CONTINUE") %></li><%
                            }
                        }
                    }
                        /* affichage de la formation en alternance */
                    if (formation.isFormationAlternance()) {
                        if (StringUtils.isNotBlank(formation.getUrlFormationAlternance()) && !formation.getUrlFormationAlternance().equals("http://")) {
                %><li><a href="<%=formation.getUrlFormationAlternance()%>"><%= module.getMessage("ST_FORMATION_FORMATION_EN_ALTERNANCE") %></a></li><%
                } else {
                    if(FormationFrontUtil.isTabVisible(Tab.getFromValue("onglet2"), formation)) {
                %><li><a class="js-force-reload" href="<%= formationUrl %>ONGLET=2#formation-alternance"><%= module.getMessage("ST_FORMATION_FORMATION_EN_ALTERNANCE") %></a></li><%
                } else {
                %><li><%= module.getMessage("ST_FORMATION_FORMATION_EN_ALTERNANCE") %></li><%
                            }
                        }
                    }
                        /* affichage de la formation en apprentissage */
                    if (formation.isFormationApprentissage()) {
                        if (StringUtils.isNotBlank(formation.getUrlFormationApprentissage()) && !formation.getUrlFormationApprentissage().equals("http://")) {
                %><li><a href="<%=formation.getUrlFormationApprentissage()%>"><%= module.getMessage("ST_FORMATION_FORMATION_EN_APPRENTISSAGE") %></a></li><%
                } else {
                    if(FormationFrontUtil.isTabVisible(Tab.getFromValue("onglet2"), formation)) {
                %><li><a class="js-force-reload" href="<%= formationUrl %>ONGLET=2#formation-apprentissage"><%= module.getMessage("ST_FORMATION_FORMATION_EN_APPRENTISSAGE") %></a></li><%
                } else {
                %><li><%= module.getMessage("ST_FORMATION_FORMATION_EN_APPRENTISSAGE") %></li><%
                            }
                        }
                    }
                        /* affichage de la formation à distance */
                    if (formation.isModalitesFormationDistance()) {
                        if (StringUtils.isNotBlank(formation.getUrlFormationDistance()) && !formation.getUrlFormationDistance().equals("http://")) {
                %><li><a href="<%=formation.getUrlFormationDistance()%>"><%= module.getMessage("ST_FORMATION_FORMATION_A_DISTANCE") %></a></li><%
                } else {
                    if(FormationFrontUtil.isTabVisible(Tab.getFromValue("onglet2"), formation)) {
                %><li><a class="js-force-reload" href="<%= formationUrl %>ONGLET=2#formation-distance"><%= module.getMessage("ST_FORMATION_FORMATION_A_DISTANCE") %></a></li><%
                } else {
                %><li><%= module.getMessage("ST_FORMATION_FORMATION_A_DISTANCE") %></li><%
                            }
                        }
                    }
                        /* affichage de la formation partiellement à distance */
                    if (formation.isMixteDistance()) {
                        if(FormationFrontUtil.isTabVisible(Tab.getFromValue("onglet2"), formation)) {
                %><li><a class="js-force-reload" href="<%= formationUrl %>ONGLET=2#formation-distance"><%= module.getMessage("ST_FORMATION_FORMATION_PARTIELLEMENT_A_DISTANCE") %></a></li><%
                } else {
                %><li><%= module.getMessage("ST_FORMATION_FORMATION_PARTIELLEMENT_A_DISTANCE") %></li><%
                        }
                    }
                    if(formation.isFormationInitiale() || formation.isFormationContinue() || formation.isFormationAlternance() ||
                            formation.isFormationApprentissage() || formation.isModalitesFormationDistance() || formation.isMixteDistance()) { %>
                </ul><%
                    }
                %></dd><%
                if(StringUtils.isNotBlank(formation.getLanguesEnseignement())) {
            %><dt class="liste-definitions__terme"><%= module.getMessage("ST_FORMATION_LANGUES_ENSEIGNEMENT") %></dt><!--
                         --><dd class="liste-definitions__definition"><%= formation.getLanguesEnseignement() %></dd><%
                }
                if(StringUtils.isNotBlank(formation.getLanguesEnseignement())) {
            %><dt class="liste-definitions__terme"><%= module.getMessage("ST_FORMATION_ET_APRES") %></dt><!--
                        --><dd class="liste-definitions__definition"><%
                if(StringUtils.isNotBlank(formation.getLibelleSecteursActivites()) ||
                        StringUtils.isNotBlank(formation.getLibelleMetiers()) ||
                        StringUtils.isNotBlank(formation.getFormatedDebouches()) ||
                        StringUtils.isNotBlank(formation.getFormatedPoursuiteEtudes())) { %>
                <ul><%
                    if(StringUtils.isNotBlank(formation.getLibelleSecteursActivites()) ||
                            StringUtils.isNotBlank(formation.getLibelleMetiers()) ||
                            StringUtils.isNotBlank(formation.getFormatedDebouches())){ %>
                    <li><a class="js-force-reload" href="<%= formationUrl %>ONGLET=4#debouches-professionnels"><%= module.getMessage("ST_FORMATION_DEBOUCHES_PROFESIONNELS") %></a></li><%
                        }
                        if(StringUtils.isNotBlank(formation.getFormatedPoursuiteEtudes())) {
                    %><li><a class="js-force-reload" href="<%= formationUrl %>ONGLET=4#debouches-poursuite_etudes"><%= module.getMessage("ST_FORMATION_POURSUITE_ETUDES") %></a></li><%
                        }
                    %></ul><%
                    }
                %></dd><%
                }
            %></dl>
        </div><!-- .colonne__pas2 --><%
    }

    if (FrontUtil.isAnyNotBlank(formation.getNiveauRecrutement(), formation.getDureeEtudes(), villes, formation.getTarif()) ||
            formation.isFormationInitiale() || formation.isFormationContinue() || formation.isFormationAlternance() || formation.isFormationApprentissage() || formation.isModalitesFormationDistance() || formation.isMixteDistance()) {
%></div><!-- .informations_generales --><%
    }
%>